Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging_PolicyValueC.cpp File Reference

`#include "Messaging_PolicyValueC.h"`
`#include "tao/Typecode.h"`
`#include "Messaging_PolicyValueC.i"`

Include dependency graph for Messaging_PolicyValueC.cpp:

## Namespaces
namespace | Messaging
namespace | TAO
## Defines
#define | _MESSAGING_POLICYVALUESEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_Messaging_PolicyValue (CORBA::tk_struct, sizeof(_oc_Messaging_PolicyValue),(char *)&_oc_Messaging_PolicyValue, 0, sizeof(Messaging::PolicyValue))
CORBA::TypeCode | _tc_TAO_tc_Messaging_PolicyValueSeq (CORBA::tk_alias, sizeof(_oc_Messaging_PolicyValueSeq),(char *)&_oc_Messaging_PolicyValueSeq, 0, sizeof(Messaging::PolicyValueSeq))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Messaging::PolicyValueSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Messaging::PolicyValueSeq &_tao_sequence)
## Variables
const CORBA::Long | _oc_Messaging_PolicyValue []
const CORBA::Long | _oc_Messaging_PolicyValueSeq []

## Define Documentation

#define _MESSAGING_POLICYVALUESEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_Messaging_PolicyValue | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_Messaging_PolicyValue) | ,
|  | (char *)& | _oc_Messaging_PolicyValue,
|  | 0 | ,
|  | sizeof(Messaging::PolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_Messaging_PolicyValueSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Messaging_PolicyValueSeq) | ,
|  | (char *)& | _oc_Messaging_PolicyValueSeq,
|  | 0 | ,
|  | sizeof(Messaging::PolicyValueSeq) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValueSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValueSeq & | _tao_sequence
| ) |

## Variable Documentation

const CORBA::Long _oc_Messaging_PolicyValue[]`[static]`

const CORBA::Long _oc_Messaging_PolicyValueSeq[]`[static]`